# ifndef ColorTestCase_h
# define ColorTestCase_h
#include "TestHeader.h"
# include "Color.h"
class ColorTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( ColorTestCase );
  CPPUNIT_TEST( construction );
  CPPUNIT_TEST( isWhite );
  CPPUNIT_TEST( isBlack );
  CPPUNIT_TEST( otherColor );
  CPPUNIT_TEST_SUITE_END();
protected:
  void construction();
  void isWhite();
  void isBlack();
  void otherColor();
};
#endif
